@charset "UTF-8";

textarea,
input[type="text"],
input[type="password"],
input[type="tel"],
input[type="email"]{
    font-size: 12px;
    box-sizing: border-box;
}

textarea{
    display: block;
    padding: 8px;
}

input[type="text"],
input[type="password"],
input[type="tel"],
input[type="email"] {
    display: flex;
    align-items: center;
    align-content: center;
    padding: 0 8px;
}

input[type="text"],
input[type="password"],
input[type="tel"],
input[type="email"],
textarea{
    width: 100%;
}

textarea,
input[type="text"],
input[type="password"],
input[type="tel"],
input[type="email"]{
    background-color: #FFF;
    border-color: #CDE;
}


input[type="text"]:invalid,
input[type="password"]:invalid,
input[type="tel"]:invalid,
input[type="email"]:invalid{
    outline: none;
    box-shadow: none;
    color: #F55;
    border-color: #F55;
}

input[type="text"][value=""]:required,
input[type="password"][value=""]:required,
input[type="tel"][value=""]:required,
input[type="email"][value=""]:required{
    outline: none;
}

textarea,
input[type="text"],
input[type="password"],
input[type="tel"],
input[type="email"]{
    border-width: 1px;
    border-style: solid;
    transition:
            border-color .25s ease,
            color .25s ease,
            background-color .25s ease;
}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="tel"]:focus,
input[type="email"]:focus{
    border-color: #08C;
    outline: none;
}






[data-input]{
    height:var(--height);
    border-width: var(--border-width);
    outline-width: var(--outline-width);
    padding: var(--padding);
    border-radius: var(--border-radius);
}